import DataSet
import Plotter

# We assume for the time being there is only a single Plot block
# should really pass a reference to this Plot block
# "data" could then be attached to this block
# currently "data" is attached to the parent and
# thus there can only be one Plot block
def plotWindow(plotBlock):
  model = plotBlock.rootNode
  # titles contains names of (Block or SimControl) blocks 
  # connected to the Plot block
  titles = []
  for in_connect in plotBlock.in_connections_:
   plotted_block = in_connect.in_connections_[0] 
   if plotted_block.getClass() == "Block":
    plotted_var_name = plotted_block.block_name.getValue()
   elif plotted_block.getClass() == "SimControl":
    plotted_var_name = plotted_block.simControl_name.getValue()
   if plotted_var_name == "":
     print "ignoring unnamed blocks"
   else:
     titles.append(plotted_var_name)
  if not ("data" in dir(model)):
   # if the globar "data" structure is not yet present, create it now
   model.data = DataSet.DataSet(source = 'simulator', titles = titles)
  gFrame = Plotter.GraphWindow(plotBlock.parent, [model.data])
  gFrame.title("Plot")

