from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_SimControl(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 189, 81
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_rectangle(self.translate([10.0, 1.0, 177.0, 77.0]), tags = self.tag, stipple= '', width= '1.0', outline= 'black', fill= 'yellow')
        self.gf0 = GraphicalForm(drawing, h, "gf0")
        self.graphForms.append(self.gf0)
        h = drawing.create_text(self.translate([57.0, 17.0]), tags = self.tag, stipple= '', width= '0', fill= 'blue', text= 'SimControl', font= 'Helvetica -14', anchor= 'center', justify= 'left')
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)
        h = drawing.create_text(self.translate([131.0, 39.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'termSignal (>0)', font= 'Helvetica -10', anchor= 'center', justify= 'left')
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)
        h = drawing.create_oval(self.translate([176.0, 40.0, 176.0, 40.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "simControl_terminateMonitor_port"
        h = drawing.create_oval(self.translate([60.0, 76.0, 60.0, 76.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "simControl_time_port"
        if self.semanticObject: drawText = self.semanticObject.simControl_time.toString(25,5)
        else: drawText = "<simControl_time>"
        h = drawing.create_text(self.translate([137.0, 67.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["simControl_time"] = h
        self.gf5 = GraphicalForm(drawing, h, "gf5")
        self.graphForms.append(self.gf5)
        if self.semanticObject: drawText = self.semanticObject.simControl_name.toString(25,5)
        else: drawText = "<simControl_name>"
        h = drawing.create_text(self.translate([55.0, 67.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["simControl_name"] = h
        self.gf7 = GraphicalForm(drawing, h, "gf7")
        self.graphForms.append(self.gf7)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_SimControl
